Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002883Piwigophotospublic2013.04.03 17:492014.03.03 10:49
Reporterplg 
Assigned Tomistic100 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5.0 
Target Version2.6.0Fixed in Version2.6.0RC1 
Summary0002883: [Batch Manager] [mysql error 1054] Unknown column 'rank' in 'order clause'
DescriptionIt sounds unexpected, but encountered several times: If I set "manual order" several times in [Administration > Configuration > Options > Main > Default photos order], then on Batch Manager I get:

Warning: [mysql error 1054] Unknown column 'rank' in 'order clause'

SELECT id,path,representative_ext,file,filesize,level,name,width,height,rotation
  FROM images
  WHERE id IN (1,2,3,4,5,6,7)
  ORDER BY rank ASC, date_available DESC, file ASC, id ASC
  LIMIT 20 OFFSET 0
;
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007077)
mistic100 (developer)
2013.06.30 16:11

with witch filter ? I can't reproduce it
(0007132)
plg (manager)
2013.10.13 11:29

On caddie for example.

On [Administration > Configuration > Options > Main > Default photos order] I set "manual order" 3 times.
(0007249)
svn (reporter)
2013.11.15 16:41

[Subversion] r25489 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2883: filter order_by for duplicated values

- Issue History
Date Modified Username Field Change
2013.04.03 17:49 plg New Issue
2013.04.03 17:49 plg Status new => assigned
2013.04.03 17:49 plg Assigned To => mistic100
2013.04.03 17:49 plg browser => any
2013.04.03 17:49 plg Web server => Apache 1.3.x
2013.04.18 14:47 plg Target Version 2.5.1 => 2.5.2
2013.06.24 15:37 plg Target Version 2.5.2 => 2.5.3
2013.06.30 16:11 mistic100 Note Added: 0007077
2013.10.13 11:29 plg Note Added: 0007132
2013.10.26 14:47 plg Target Version 2.5.3 => 2.5.4
2013.11.15 16:41 svn Checkin
2013.11.15 16:41 svn Note Added: 0007249
2013.11.19 16:42 mistic100 Status assigned => closed
2013.11.19 16:42 mistic100 Resolution open => fixed
2013.11.19 16:42 mistic100 Fixed in Version => 2.6.0RC1
2014.03.03 10:49 plg Target Version 2.5.4 => 2.6.0


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker